API_KEY='live_...'
BATCH_ID='batch_123'
curl --request POST \
--url "https://api.scale.com/v2/batch/cancel" \
--header "Authorization: Bearer $API_KEY" \
--header "Content-Type: application/json" \
--data '{"batch_id": "'$BATCH_ID'"}'{
"batch": {
"id": "batch_abc123",
"name": "My Scale Batch",
"project": "project_abc123",
"created_at": "2023-11-07T05:31:56Z",
"status": "staging",
"metadata": {},
"completed_at": "2023-11-07T05:31:56Z",
"callback": "https://example.com/callback"
},
"message": "Batch cancellation initiated. Unstarted tasks will be cancelled."
}{
"status_code": 500,
"error": "An error has occurred."
}Batches
Cancel a Batch
Cancel processing of a Batch. Unstarted tasks will be cancelled. Completed batches cannot be cancelled.
POST
/
v2
/
batch
/
cancel
API_KEY='live_...'
BATCH_ID='batch_123'
curl --request POST \
--url "https://api.scale.com/v2/batch/cancel" \
--header "Authorization: Bearer $API_KEY" \
--header "Content-Type: application/json" \
--data '{"batch_id": "'$BATCH_ID'"}'{
"batch": {
"id": "batch_abc123",
"name": "My Scale Batch",
"project": "project_abc123",
"created_at": "2023-11-07T05:31:56Z",
"status": "staging",
"metadata": {},
"completed_at": "2023-11-07T05:31:56Z",
"callback": "https://example.com/callback"
},
"message": "Batch cancellation initiated. Unstarted tasks will be cancelled."
}{
"status_code": 500,
"error": "An error has occurred."
}Authentication
Authentication
Every request sent to Scale’s API requires authentication. In short, your API Key is the Bearer token. See the Authentication section for more details.
Batch Status Requirements
You can cancel batches in any status except completed or cancelled (already cancelled).Once cancelled, the batch status will change to cancelled and all unstarted tasks will be cancelled. Cancelled batches cannot be resumed.Required request parameters
You are expected to provide one of the following in the request body:- Batch ID (
batch_id) - Batch Name (
batch_name)
Authorizations
bearerAuthbasicAuth
Your API Key is the Bearer token. See the Authentication section to learn how to access your key.
Body
application/json

